<?php
/**
 * Модификатор для Smarty
 * Позволяет перевести секунды в формат "N дней, N часов и т.д."
 *
 * @param   int $value
 * @return  string
 */
function smarty_modifier_seconds_format($value)
{
    if(empty($value) || !is_numeric($value)) return '';
    $ret = '';
    $secondsInAMinute = 60;
    $secondsInAnHour  = 60 * $secondsInAMinute;
    $secondsInADay    = 24 * $secondsInAnHour;
    // extract days
    $days = floor($value / $secondsInADay);
    if(!empty($days)) $ret = Engine::getInstance()->GetModuleObject('Lang')->Get('seconds_format.d',['days'=>$days]);
    // extract hours
    $hourSeconds = $value % $secondsInADay;
    $hours = floor($hourSeconds / $secondsInAnHour);
    if(!empty($hours)) $ret .= ', '.Engine::getInstance()->GetModuleObject('Lang')->Get('seconds_format.H',['hours'=>$hours]);
    // extract minutes
    $minuteSeconds = $hourSeconds % $secondsInAnHour;
    $minutes = floor($minuteSeconds / $secondsInAMinute);
    if(!empty($minutes)) $ret .= ', '.Engine::getInstance()->GetModuleObject('Lang')->Get('seconds_format.i',['minutes'=>$minutes]);
    // extract the remaining seconds
    $remainingSeconds = $minuteSeconds % $secondsInAMinute;
    $seconds = ceil($remainingSeconds);
    if(!empty($seconds)) $ret .= ', '.Engine::getInstance()->GetModuleObject('Lang')->Get('seconds_format.s',['seconds'=>$seconds]);
    return $ret;
}
