{*
    Этот шаблон подключается в comment_list.tpl и comment_tree.tpl и используется
    как для постов, так и для личных сообщений. Также он используется в классе
    Comment.class.php для ajax-подгрузки (функция GetCommentsNewByTargetId).

    Для его корректной работы нужно заранее объявить следующие переменные:

    - bShort: использовать ли упрощённый вид (для списков комментариев)
    - bAuthorNotice: добавлять ли уведомление об авторстве топика/сообщения
    - sAuthorNotice: текст уведомления об авторстве
    - bNoCommentFavourites: скрывать ли избранное и рейтинг
    - sDateReadLast (при bShort=false): если дата комментария позже этой даты,
      то он считается новым
    - oTopic (при bShort=true): для отображения ссылки на пост
*}

{assign var="oCommentAuthor" value=$oComment->getUser()}
{assign var="oCommentAuthorLogin" value=$oCommentAuthor->getLogin()}
{assign var="oCommentAuthorId" value=$oComment->getUserId()}
{assign var="oCommentId" value=$oComment->getId()}
{assign var="oCommentRating" value=$oComment->getRating()}
{assign var="oCommentVoteCount" value=$oComment->getCountVote()}
{assign var="oCommentDate" value=$oComment->getDate()}

{if $oUserCurrent and $oCommentAuthorId == $oUserCurrent->getId()}
    {assign var="oCommentSelf" value="comment-self"}
{/if}
{if $oUserCurrent and not $bShort}
    {assign var="oCommentVote" value=$oComment->getVote()}
    {if $sDateReadLast <= $oCommentDate and !isset($oCommentSelf)}
        {assign var="oCommentNew" value="comment-new"}
    {/if}
    {if not isset($voteTimeLimit)}
        {$voteTimeLimit = time() - $oConfig->GetValue('acl.vote.comment.limit_time')}
    {/if}
{/if}

{if $oUserCurrent and $oUserCurrent->isAdministrator()}
    {assign var="bHideComment" value=false}
{else}
    {assign var="bHideComment" value=$oComment->getDelete() or $oComment->isHidden()}
{/if}

{if $oComment->getDelete()}
    {assign var="oCommentStateClass" value="comment-deleted"}
{elseif $oComment->isHidden()}
    {assign var="oCommentStateClass" value="comment-bad comment-hidden"}
{elseif $oComment->isBad()}
    {assign var="oCommentStateClass" value="comment-bad"}
{/if}

<section data-id="{$oCommentId}" id="comment_id_{$oCommentId}" class="comment {$oCommentStateClass} {$oCommentSelf} {$oCommentNew}">
    <a id="comment{$oCommentId}"></a>
    <div id="comment_content_id_{$oCommentId}" class="comment-content">
        {if $bHideComment and $oComment->getDelete()}
            {if $oComment->getDelete() == 2}
                <div>{$aLang.comment_was_delete}</div>
            {else}
                <div>{$aLang.comment_was_deleted_by_admin}</div>
            {/if}
        {elseif $bHideComment and $oComment->isHidden()}
            <div>{$aLang.comment_was_hidden}</div>
        {else}
            <div class="text current">{$oComment->getText()}</div>
        {/if}
    </div>

    <div class="comment-info" data-id="{$oCommentId}">
        {if not $bHideComment}
            <a href="/profile/{$oCommentAuthorLogin}/" data-user_id="{$oCommentAuthorId}">
                <img src="{$oCommentAuthor->getProfileAvatarPath(24)}" class="comment-avatar"/>
            </a>
            <a class="comment-author{if $bAuthorNotice} comment-topic-author{/if}"{if $bAuthorNotice and $sAuthorNotice} title="{$sAuthorNotice}"{/if} href="/profile/{$oCommentAuthorLogin}/">{$oCommentAuthorLogin}</a>

            <time class="comment-date" datetime="{date_format date=$oCommentDate format='c' timezone=$oUserTimezone}" itemprop="dateCreated"
                  title="{date_format date=$oCommentDate hours_back="12" minutes_back="60" now="60" day="day H:i" format="j F Y, H:i" timezone=$oUserTimezone}">
                {date_format date=$oCommentDate format="j F Y, H:i" timezone=$oUserTimezone}
            </time>

            {if not $bShort}
                <a class="comment-link" href="#comment{$oCommentId}" title="{$aLang.comment_url_notice}"></a>
                {if $oComment->getPid()}
                    <a href="#comment{$oComment->getPid()}" class="goto goto-comment-parent" title="{$aLang.comment_goto_parent}">↑</a>
                {/if}
            {else}
                <a class="comment-link" href="/comments/{$oCommentId}" title="{$aLang.comment_url_notice}"></a>
                {if $oComment->getPid()}
                    <a href="/comments/{$oComment->getPid()}" class="goto goto-comment-parent" title="{$aLang.comment_goto_parent}">↑</a>
                {/if}
            {/if}

            {if $oUserCurrent and !$bNoCommentFavourites and (not $oComment->getDelete() or $oUserCurrent->isAdministrator())}
                <div class="comment-favourite">
                    {if $oComment->getCountFavourite() > 0}
                        <div class="favourite link-dotted{if $oComment->getIsFavourite()} active{/if}" data-target_id="{$oCommentId}" data-target_type="comment">
                            {if $oComment->getIsFavourite()}
                                {$aLang.comment_favourite_add_already}
                            {else}
                                {$aLang.comment_favourite_add}
                            {/if}
                        </div>
                        <span class="favourite-count" id="fav_count_comment_{$oCommentId}">{$oComment->getCountFavourite()}</span>
                    {else}
                        <div class="favourite link-dotted" data-target_id="{$oCommentId}" data-target_type="comment">{$aLang.comment_favourite_add}</div>
                        <span class="favourite-count" id="fav_count_comment_{$oCommentId}"></span>
                    {/if}
                </div>
            {/if}

            {if $oUserCurrent and not $bShort and (not $oComment->getDelete() or $oUserCurrent->isAdministrator())}
                {if !$bDisallowNewComment}<a class="reply-link link-dotted">{$aLang.comment_answer}</a>{/if}
                {if not $oComment->getDelete() and $LS->GetModuleObject('ACL')->CanDeleteComment($oComment,$oUserCurrent)}
                    <a class="comment-delete link-dotted">{$aLang.comment_delete}</a>
                {elseif $oComment->getDelete() and $oUserCurrent->isAdministrator()}
                    <a class="comment-repair link-dotted">{$aLang.comment_repair}</a>
                {/if}
                {if $LS->GetModuleObject('ACL')->CanEditComment($oComment,$oUserCurrent)}<a class="comment-edit-bw link-dotted">{$aLang.comment_edit}</a>{/if}
                {hook run='comment_action' comment=$oComment}
            {/if}
            {if $oComment->getDelete()}
                {if $oComment->getDelete() == 2}
                    <span class="comment-deleted-notice">{$aLang.comment_was_delete}</span>
                {else}
                    <span class="comment-deleted-notice by-admin">{$aLang.comment_was_deleted_by_admin}</span>
                {/if}
            {elseif $oComment->isHidden()}
                <span class="comment-deleted-notice">{$aLang.comment_was_hidden}</span>
            {/if}

            {include file='comment_modify_notice.tpl' bGetShort=$bShort oUserTimezone=$oUserTimezone}
            {if $bShort and $oTopic}
                {assign var="oBlog" value=$oTopic->getBlog()}
                <div>
                    {if $oBlog}
                        <a href="{$oBlog->getUrlFull()}" class="blog-name">{$oBlog->getTitle()|escape:'html'}</a>
                        &rarr;
                    {/if}
                    <a href="{$oTopic->getUrl()}" class="comment-path-topic">{$oTopic->getTitle()|escape:'html'}</a>
                    <a href="{$oTopic->getUrl()}#comments"  class="comment-path-comments">{$oTopic->getCountComment()}</a>
                </div>
            {/if}

            {if !$bNoCommentFavourites}
                {*
                    На странице поста ($bShort=false) класс vote-info-enabled добавляется
                    ко всему посту целиком, поэтому здесь его добавлять не надо.
                    В списках комментариев ($bShort=true) приходится проверять индивидуально
                    для каждого комментария
                *}
                {assign var="bVoteInfoEnabled" value=$bShort and $oUserCurrent and $LS->ACL_CheckSimpleAccessLevel($oConfig->GetValue('vote_state.comment.na_enable_level'), $oUserCurrent, $oComment, 'comment')}

                {strip}<div id="vote_area_comment_{$oCommentId}" class="vote comment-vote
                    {if $oCommentVoteCount > 0}
                        {if $oCommentRating > 0} vote-count-positive
                        {elseif $oCommentRating < 0} vote-count-negative
                        {else} vote-count-mixed
                        {/if}
                    {/if}
                    {if $bVoteInfoEnabled} vote-info-enabled{/if}
                    {if not $bShort}
                        {if $oCommentVote} voted
                            {if $oCommentVote->getDirection() > 0} voted-up
                            {else} voted-down
                            {/if}
                        {elseif !isset($oCommentSelf)}
                            {if $oUserCurrent and (strtotime($oCommentDate)>=$voteTimeLimit)} vote-enabled{/if}
                        {/if}
                    {/if}
                    ">
                    {if not $bShort and $oUserCurrent}
                        <div class="vote-item vote-up" data-direction="1" data-target_id="{$oCommentId}" data-target_type="comment"></div>
                    {/if}
                    <span class="vote-count" id="vote_total_comment_{$oCommentId}" data-target_id="{$oCommentId}" data-target_type="comment" data-count="{$oCommentVoteCount}">{if $oCommentRating > 0}+{/if}{$oCommentRating}</span>
                    {if not $bShort and $oUserCurrent}
                        <div class="vote-item vote-down" data-direction="-1" data-target_id="{$oCommentId}" data-target_type="comment"></div>
                    {/if}
                    </div>{/strip}
            {/if}
        {/if}
    </div>
</section>
{if not $bShort}
    <div class="folding"></div>
{/if}
